﻿
using System;
using Wisej.Web;
using Wisej.Web.Ext.Html2Canvas;

namespace Html2CanvasSample
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
			chartJS1.ChartType = Wisej.Web.Ext.ChartJS.ChartType.Line;
			chartJS1.DataSets.Add(new Wisej.Web.Ext.ChartJS.LineDataSet
			{
				Data = new object[] { 1, 2, 3, 4, 3, 2, 4, 5,7 },
				BorderColor = System.Drawing.Color.RoyalBlue,
				BackgroundColor = System.Drawing.Color.White
			});
        }
        private async void button1_Click(object sender, EventArgs e)
		{
			var image = await Html2Canvas.ScreenshotAsync(this);
			this.pictureBox1.Image = image;
		}

		private void button2_Click(object sender, EventArgs e)
		{
			Html2Canvas.Screenshot(this.panel1, (Image) =>
		   {
			   this.pictureBox1.Image = Image;
		   });
		}

        private void button3_Click(object sender, EventArgs e)
        {
			Html2Canvas.Screenshot((Image) =>
			{
				this.pictureBox1.Image = Image;
			});
		}
    }
}
